## ssh-askpass-fullscreen 0.3

=== Makefile ===
all:
	gcc -o gtk2-ssh-askpass gtk2-ssh-askpass.c `pkg-config --libs gtk+-2.0` `pkg-config --cflags gtk+-2.0`

clean:
	rm gtk2-ssh-askpass

## ssh-askpass-fullscreen 1.2

=== debian/changelog ===
ssh-askpass-fullscreen (1.2-1) unstable; urgency=low

  * Merge 0.4-0.1 and 0.3-4 uploads.
  * Adopt the package. (Closes: #1012002)
  * Set Vcs-* headers and let them point to the new Salsa git repo.
  * Switch upstream to https://github.com/atj/ssh-askpass-fullscreen as
    previous upstream seems dead and the website vanished.
    + Add a debian/watch file.
  * Import new upstream release 1.2.
    + Drop all patches, either applied upstream or obsolete due to
      upstream switched build system to autotools.
    + Switch dh compat level from 9 to 13 as it else FTBFS.
      (Use debhelper-compat build-dependency instead of debian/compat.)
    + Allows one to cancel by pressing Escape. (Closes: #644765)
  * Run "wrap-and-sort -a".
  * Update and generalise package description a bit. No more mention
    "Gnome2". (Closes: #894876)
  * Declare compliance with Debian Policy 4.6.1.
  * Set "Rules-Requires-Root: no".
  * Remove trailing whitespace from debian/changelog.
  * Convert debian/copyright to machine-readable DEP-5 format.
  * Add Hideki and myself to debian/copyright.

 -- Axel Beckert <abe@debian.org>  Wed, 23 Nov 2022 04:02:02 +0100

ssh-askpass-fullscreen (0.3-4) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #1012002)

 -- Marcos Talau <talau@debian.org>  Sun, 13 Nov 2022 07:54:36 -0300

ssh-askpass-fullscreen (0.4-0.1) experimental; urgency=low

  * Non-maintainer upload.
  * New upstream release (in 2006...)
  * drop README.Debian since upstream changed its name to
    ssh-askpass-fullscreen
  * drop unnecessary debian/dirs
  * debian/source/format: set "3.0 (quilt)"
  * debian/rules:
    - drop simple-patchsys
    - convert to dh7 style
    - enable hardening
  * debian/install: add it
  * debian/compat: set 9
  * debian/control
    - set "Standards-Version: 3.9.4"
    - drop patchutils, cdbs
    - set "debhelper (>= 9) to enable hardening
    - add "Homepage:" field
  * debian/patches
    - drop 01_grab_fix.patch since merged to upstream
    - add ignore_clean_error.patch to execute clean target
    - add gentoo.patch to grab keyboard properly (LP: #327588)
    - add useCC_with_flags.patch to enable hardening

 -- Hideki Yamane <henrich@debian.org>  Sat, 15 Dec 2012 09:15:47 +0900

ssh-askpass-fullscreen (0.3-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control
    - add "Depends: libx11-dev"
  * debian/patches
    - add "03_fix_FTBFS_binutils-gold.patch", it specifies link to X11 library
      (Closes: #556371)

 -- Hideki Yamane <henrich@debian.org>  Sat, 07 Jan 2012 23:39:16 +0900

ssh-askpass-fullscreen (0.3-3) unstable; urgency=low

  * Added a patch to keep the application window on the top. (Closes: #545804)
  * Modified patch to correctly grab the keyboard. (Closes: #519007)

 -- Marco Presi (Zufus) <zufus@debian.org>  Sun, 27 Sep 2009 03:13:52 +0200

ssh-askpass-fullscreen (0.3-2) unstable; urgency=low

  * Modified grab procedure, adapted to the one followed by ssh-askpass-gnome
    Closes: #261134.

 -- Marco Presi (Zufus) <zufus@debian.org>  Sun, 13 Nov 2005 22:55:12 -0500

ssh-askpass-fullscreen (0.3-1) unstable; urgency=low

  * Initial Release. (Closes: #183839).

 -- Marco Presi (Zufus) <zufus@debian.org>  Sun,  2 Mar 2003 11:52:19 +0100

=== debian/control ===
Source: ssh-askpass-fullscreen
Section: x11
Priority: optional
Maintainer: Axel Beckert <abe@debian.org>
Build-Depends: debhelper-compat (= 13),
               libgtk2.0-dev,
               libx11-dev
Standards-Version: 4.6.1
Homepage: https://github.com/atj/ssh-askpass-fullscreen
Vcs-Git: https://salsa.debian.org/debian/ssh-askpass-fullscreen.git
Vcs-Browser: https://salsa.debian.org/debian/ssh-askpass-fullscreen
Rules-Requires-Root: no

Package: ssh-askpass-fullscreen
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Provides: ssh-askpass
Description: Asks in full-screen for a passphrase for ssh-add
 It does the same work that ssh-askpass and ssh-askpass-gnome do, but
 does it in full screen mode, grabs the focus and greys out the
 remainder of the (current) screen.

## ssh-askpass-fullscreen 1.3

=== debian/changelog ===
ssh-askpass-fullscreen (1.3-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:03:17 +1100

ssh-askpass-fullscreen (1.3-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 07:00:35 +0000

ssh-askpass-fullscreen (1.3-1) unstable; urgency=medium

  * Mention in previous changelog entry that #876230 and #901719 are fixed
    as well.
  * Reorder changelog entries of 0.3-4 and 0.4-0.1 by major version, not
    chronologically. Otherwise the bug tracking system thinks that 0.3-4
    is affected by bugs which never made it out of experimental.
  * New upstream release
    + No more attempts to parse prompt as markup. (Closes: #568779)
    + Bump copyright years in debian/copyright.
  * Declare compliance with Debian Policy 4.6.2. (No changes needed.)
  * Rework man page:
    + Fix binary names not updated when the man page was based on
      gnome-ssh-askpass.
    + Don't mention GNOME where it's rather limiting.
    + Remove incomplete template sentence.

 -- Axel Beckert <abe@debian.org>  Sun, 29 Jan 2023 23:43:11 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: ssh-askpass-fullscreen
 Section: x11
 Priority: optional
-Maintainer: Axel Beckert <abe@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Axel Beckert <abe@debian.org>
 Build-Depends: debhelper-compat (= 13),
                libgtk2.0-dev,
                libx11-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/atj/ssh-askpass-fullscreen
 Vcs-Git: https://salsa.debian.org/debian/ssh-askpass-fullscreen.git
 Vcs-Browser: https://salsa.debian.org/debian/ssh-askpass-fullscreen

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
  https://github.com/atj/ssh-askpass-fullscreen/tags \
  (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
